import android.app.AlertDialog;
import android.app.Fragment;
import android.view.View;
import android.widget.Toast;

import java.util.ArrayList;
import java.util.List;

public class CitySelectorFragment extends Fragment {
    private List<String> cities;
    private List<String> favoriteCities = new ArrayList<>();

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        View view = inflater.inflate(R.layout.fragment_city_selector, container, false);
        ListView cityListView = view.findViewById(R.id.city_list);

        // Пример списка городов
        cities = Arrays.asList("Москва", "Санкт-Петербург", "Новосибирск", "Екатеринбург");

        CityAdapter adapter = new CityAdapter(getContext(), cities);
        cityListView.setAdapter(adapter);

        cityListView.setOnItemLongClickListener((parent, view1, position, id) -> {
            String selectedCity = cities.get(position);
            showDialog(selectedCity);
            return true;
        });

        return view;
    }

    private void showDialog(String city) {
        new AlertDialog.Builder(getContext())
                .setTitle("Выбор города")
                .setMessage("Добавить " + city + " в избранное?")
                .setPositiveButton("В избранное", (dialog, which) -> {
                    favoriteCities.add(city);
                    Toast.makeText(getContext(), city + " добавлен в избранное", Toast.LENGTH_SHORT).show();
                })
                .setNegativeButton("Отмена", null)
                .show();
    }
}
