package com.example.myapplication.DAO;

import androidx.room.Dao;
import androidx.room.Insert;
import androidx.room.Query;

import com.example.myapplication.DTO.FavoriteCity;

import java.util.List;

@Dao
public interface FavoriteCityDao {
    @Insert
    void insert(FavoriteCity favoriteCity);

    @Insert
    void insertAll(FavoriteCity... favoriteCities);

    @Query("SELECT * FROM favorite_cities_table")
    List<FavoriteCity> getAllFavoriteCity();

    @Query("SELECT * FROM favorite_cities_table WHERE owner_id = :ownerId")
    List<FavoriteCity> getFavoriteCityByOwnerId(long ownerId);

    @Query("SELECT * FROM favorite_cities_table WHERE owner_id = :userId AND city_id = :cityId")
    int isFavorite(long userId, long cityId);

    @Query("DELETE FROM favorite_cities_table WHERE owner_id = :userId AND city_id = :cityId")
    void removeFavorite(long userId, long cityId);
}
