package com.example.myapplication.DTO;

import androidx.room.Entity;
import androidx.room.ForeignKey;
import androidx.room.Index;

@Entity(tableName = "favorite_cities_table",
        foreignKeys = {
                @ForeignKey(entity = User.class,
                        parentColumns = "id",
                        childColumns = "owner_id",
                        onDelete = ForeignKey.CASCADE),
                @ForeignKey(entity = City.class,
                        parentColumns = "id",
                        childColumns = "city_id",
                        onDelete = ForeignKey.CASCADE)
        },
        indices = {
                @Index(value = "owner_id"),
                @Index(value = "city_id")
        }
)
public class FavoriteCity {
    @androidx.room.PrimaryKey(autoGenerate = true)
    private long id;

    @androidx.room.ColumnInfo(name = "owner_id")
    private long ownerId;
    @androidx.room.ColumnInfo(name = "city_id")
    private long cityId;

    public FavoriteCity(long ownerId, long cityId) {
        this.ownerId = ownerId;
        this.cityId = cityId;
    }

    public long getId() {
        return id;
    }

    public long getOwnerId() {
        return ownerId;
    }

    public long getCityId() {
        return cityId;
    }

    public void setId(long id) {
        this.id = id;
    }

    public void setOwnerId(long ownerId) {
        this.ownerId = ownerId;
    }

    public void setCityId(long cityId) {
        this.cityId = cityId;
    }
}